# Uses of Interface
org.eclipse.mat.parser.index.IIndexReader.IOne2SizeIndex

Packages that use IIndexReader.IOne2SizeIndex
Package
Description
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.index
Implementations for handling indexes.

## Uses of IIndexReader.IOne2SizeIndex in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type IIndexReader.IOne2SizeIndex
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setArray2size(IIndexReader.IOne2SizeIndex array2size)`
store the array to size in bytes mapping

## Uses of IIndexReader.IOne2SizeIndex in org.eclipse.mat.parser.index

Classes in org.eclipse.mat.parser.index that implement IIndexReader.IOne2SizeIndex
Modifier and Type
Class
Description
`static class`
`IndexReader.SizeIndexReader`
Creates a index reader for array sizes, presuming the sizes are stored as ints and get expanded in the reverse of the compression.
Fields in org.eclipse.mat.parser.index declared as IIndexReader.IOne2SizeIndex
Modifier and Type
Field
Description
`IIndexReader.IOne2SizeIndex`
IndexManager.`a2s`
The index from object ID to its size, for arrays and variable sized objects
Methods in org.eclipse.mat.parser.index that return IIndexReader.IOne2SizeIndex
Modifier and Type
Method
Description
`IIndexReader.IOne2SizeIndex`
IndexManager.`a2size()`
The index from array object ID and variable sized objects to the size in bytes.
`IIndexReader.IOne2SizeIndex`
IndexWriter.SizeIndexCollectorUncompressed.`writeTo(File indexFile)`